%define ver 1.0
%define rel 6mdk
%define _prefix /usr

Summary: French files for ispell
Summary(fr): Dictionnaire franais pour ispell
Name: ispell-fr
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source: http://www.unil.ch/ling/cp/Francais-GUTenberg-v%{ver}.tar.bz2
URL: http://www.unil.ch/ling/cp/frgut.html
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-fr
Obsoletes: ispell-francais-IREQ, ispell-french
Obsoletes: ispell-francais
Obsoletes: ifrench
Provides: ispell-dictionary

%description
ispell-fr is spelling data in French to be used by ispell program.
With this extension, you can compose a document in French and check
for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l fr
Ceci est le dictionnaire franais pour le correcteur
orthographique interactif de GNU ispell.

%prep
%setup -n Francais-GUTenberg-v%{ver}

%build
# answer "oui" (yes) 10 times.
echo -e "o\no\no\no\no\no\no\no\no\no\n" | ./makehash 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell

cp francais.hash francais.aff $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# LaTeX babel uses "french"
(
cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
ln -s francais.hash french.hash
ln -s francais.aff french.aff
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc ALIRE HISTORIQUE docs/*.* utils
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-6mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed the name to ispell-fr to standardize naming of ispell files

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- argh, another stupid symlink problem
- I alos made it obsoletes "ispell-french" (name used by Red Hat for the
  same package)

* Tue Nov 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- provided compatibility name 'french' (used by LaTeX/LyX)

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed permissions problem of /usr/doc/%{name}

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- build with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)
- First version for Mandrake.

